package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.EnergyConsumption;
import com.lightinit.hsdatashow.entity.EnergyConsumptionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface EnergyConsumptionMapper {
    long countByExample(EnergyConsumptionExample example);

    int deleteByExample(EnergyConsumptionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EnergyConsumption record);

    int insertSelective(EnergyConsumption record);

    List<EnergyConsumption> selectByExample(EnergyConsumptionExample example);

    EnergyConsumption selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EnergyConsumption record, @Param("example") EnergyConsumptionExample example);

    int updateByExample(@Param("record") EnergyConsumption record, @Param("example") EnergyConsumptionExample example);

    int updateByPrimaryKeySelective(EnergyConsumption record);

    int updateByPrimaryKey(EnergyConsumption record);

    List<ChartModel> getEngeryTotal();

}